// Topicalla Installation Script

var version = 0.1.1;

var err = initInstall("Topicalla", "topicalla", version);
logComment("initInstall: " + err);

var progFolder = getFolder("Program");
var compsFolder = getFolder("Components");
var chromeFolder = getFolder("Chrome");

err = addFile("reopath", version, "bin/reopath" , progFolder, "");
err = addFile("librpath.so", version, "bin/librpath.so", compsFolder, "");
err = addFile("rpath.xpt", version, "bin/rpath.xpt", compsFolder, "");
err = addFile("topicalla.jar", version, "topicalla.jar", chromeFolder, "");

logComment("addDirectory: " + err);

registerChrome(CONTENT | DELAYED_CHROME, getFolder("Chrome","topicalla.jar"),
                                         "content/");
registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","topicalla.jar"),
                                         "skin/classic/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome","topicalla.jar"),
                                         "locale/en-US/");

if (getLastError() == SUCCESS) {
  err = performInstall(); 
  logComment("performInstall: " + err);
} else {
  cancelInstall(err);
}
